Programming LOGO 8

You can post your problem related to PLC Projects here. We will try our best to help you out.
Vernie
Posts:33
Joined:Mon Feb 20, 2017 9:19 am
Programming LOGO 8

Post by Vernie » Wed Mar 08, 2017 7:01 am

Thought this was shareworthy, as there is no information broadcast from Siemens about it, I had to figure out with the help of a guy in Germany...
If you (use Siemens LOGO, I'm sure there's at least 1 or 2 people besides me) and got the latest 0BA8, it had an unannounced firmware upgrade I think towards the end of 2016.
Using the Logosoft Comfort software, you need to upgrade to version 8.1.0. This is usually done quickly and easily through HELP-Update Center from the menu along top of screen.
You must open the software/program "as an administrator" or it won't work.
So once you've got 8.1 installed and running, you have to check the FW version of your 0BA8:
-Diagnostics
-Software
-FW version
If it's 1.08.03, you have to select the PLC Type (bottom right of LSC screen) "LOGO!8.FS4"
If it's 1.01.01, you need to select type "0BA8.Standard"
I had our guys send a PLC back thinking it was bad because it wouldn't take a program, when the new one came in and had the same problem, I dug a little deeper and discovered this. Hope it helps someone!

Post Reply